<?php
/*

# ------------------------------------------------------------------------
# JA Nagya template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

include_once (dirname(__FILE__).DS.'ja_vars_1.5.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>

<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/typo.css" type="text/css" />

<script language="javascript" type="text/javascript">
	var siteurl = '<?php echo $tmpTools->baseurl();?>';
	var tmplurl = '<?php echo $tmpTools->templateurl();?>';
</script>
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/ja.script.js"></script>
<!-- Menu head -->
<?php $jamenu->genMenuHead(); ?>

<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.css" rel="stylesheet" type="text/css" />

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {height: 1%;}
img {border: none;}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->

<script type="text/javascript">
/*<![CDATA[*/
document.write ('<style type="text\/css">#ja-hpwrap{height:0;overflow:hidden;visibility:hidden;}<\/style>');
/*]]>*/
</script>

<?php if ($tmpTools->isIE6()) { ?>
<!--[if lte IE 6]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie6.php" rel="stylesheet" type="text/css" />
<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>-ie6.php" rel="stylesheet" type="text/css" />
<script type="text/javascript">
window.addEvent ('load', makeTransBG);
function makeTransBG() {
makeTransBg($$('#ja-cssmenu li ul'),'', 'scale');
makeTransBg($$('img'));
}
</script>
<![endif]-->
<?php } ?>

<!--[if gt IE 7]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>" >
<a name="Top" id="Top"></a>
<ul class="accessibility">
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-content" title="<?php echo JText::_("SKIP TO CONTENT");?>"><?php echo JText::_("SKIP TO CONTENT");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-mainnav" title="<?php echo JText::_("SKIP TO MAIN NAVIGATION");?>"><?php echo JText::_("SKIP TO MAIN NAVIGATION");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col1" title="<?php echo JText::_("SKIP TO 1ST COLUMN");?>"><?php echo JText::_("SKIP TO 1ST COLUMN");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col2" title="<?php echo JText::_("SKIP TO 2ND COLUMN");?>"><?php echo JText::_("SKIP TO 2ND COLUMN");?></a></li>
</ul>

<div id="ja-wrapper">

<!-- BEGIN: HEADER -->
<div id="ja-headerwrap">

	<div id="ja-header" class="clearfix">
		<h1 class="logo">
			<a href="index.php" title="<?php echo $tmpTools->sitename(); ?>">
				<?php echo $tmpTools->sitename() ?>
			</a>
		</h1>
		
		<div id="ja-topnavwrap">
		<div id="ja-topnav">
			<jdoc:include type="modules" name="user3" />
		</div>
		</div>
		
		<div id="ja-login">
			<jdoc:include type="modules" name="ja-login" style="raw" />
		</div>
	
	</div>

	<!-- BEGIN: TOP SPOTLIGHT -->
	<div id="ja-topslwrap">
		<div id="ja-topsl">
		  <jdoc:include type="modules" name="top" style="xhtml" />
		</div>
	</div>
	<!-- END: TOP SPOTLIGHT -->

	<!-- BEGIN: MAIN NAVIGATION -->
	<div id="ja-mainnavwrapmask"></div>
	<div id="ja-mainnavwrap">
		<div id="ja-mainnav">
			<?php $jamenu->genMenu (0); ?>
		</div>
	</div>
	<!-- END: MAIN NAVIGATION -->

</div>
<!-- END: HEADER -->

<div id="ja-containerwrap<?php echo $divid; ?>">

<div id="ja-container">
<div id="ja-container-inner" class="clearfix">
  
  <!-- BEGIN: PATHWAY + SEARCH -->
  <div id="ja-pathway">
    <jdoc:include type="module" name="breadcrumbs" />
  </div>
  
	<?php if ($this->countModules('user4')) { ?>
	<div id="ja-search">
		<jdoc:include type="modules" name="user4" style="raw" />
	</div>
	<?php } ?>
		
  <!-- END: PATHWAY + SEARCH -->

	<!-- BEGIN: CONTENT -->
	<div id="ja-content">
	
		<jdoc:include type="message" />

		<div id="ja-current-content">
			<jdoc:include type="component" />
    </div>

		<?php if($this->countModules('banner')) : ?>
		<!-- BEGIN: BANNER -->
		<div id="ja-banner">
			<jdoc:include type="modules" name="banner" />
		</div>
		<!-- END: BANNER -->
		<?php endif; ?>

	</div>
	<!-- END: CONTENT -->

	<?php if ($ja_left || $ja_right) { ?>
	<!-- BEGIN: COLUMNS -->

	<div id="ja-colwrap">
	   
	  <?php if ($this->countModules('user5')) { ?>
	  <div id="ja-tabs">
	   <jdoc:include type="modules" name="user5" style="raw" />
	  </div>
	  <?php } ?>

		<?php if ($this->countModules('left')) { ?>
		<div id="ja-col1"><div class="ja-innerpad">			
			<jdoc:include type="modules" name="left" style="xhtml" />
		</div></div>
		<?php } ?>
		
		<?php if ($this->countModules('right')) { ?>
		<div id="ja-col2"><div class="ja-innerpad">
			<jdoc:include type="modules" name="right" style="xhtml" />
		</div></div>
		<?php } ?>

	</div><br />
	<!-- END: COLUMNS -->
	<?php } ?>

</div></div></div>

<?php
$spotlight = array ('user1','user2', 'user6','user7');
$botsl = $tmpTools->calSpotlight ($spotlight, 99.5);
if( $botsl ) {
?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botslwrap">
<div id="ja-botsl" class="clearfix">

  <?php if( $this->countModules('user1') ) {?>
  <div class="ja-box<?php echo $botsl['user1']['class']; ?>" style="width: <?php echo $botsl['user1']['width']; ?>;">
		<jdoc:include type="modules" name="user1" style="xhtml" />
  </div>
  <?php } ?>

  <?php if( $this->countModules('user2') ) {?>
  <div class="ja-box<?php echo $botsl['user2']['class']; ?>" style="width: <?php echo $botsl['user2']['width']; ?>;">
		<jdoc:include type="modules" name="user2" style="xhtml" />
  </div>
  <?php } ?>

  
  <?php if( $this->countModules('user6') ) {?>
  <div class="ja-box<?php echo $botsl['user6']['class']; ?>" style="width: <?php echo $botsl['user6']['width']; ?>;">
		<jdoc:include type="modules" name="user6" style="xhtml" />
  </div>
  <?php } ?>
  
  <?php if( $this->countModules('user7') ) {?>
  <div class="ja-box<?php echo $botsl['user7']['class']; ?>" style="width: <?php echo $botsl['user7']['width']; ?>;">
		<jdoc:include type="modules" name="user7" style="xhtml" />
  </div>
  <?php } ?>

</div></div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- BEGIN: FOOTER -->
<div id="ja-footerwrap">
<div id="ja-footer" class="clearfix">

	<jdoc:include type="modules" name="footer" />

</div>
</div>
<!-- END: FOOTER -->

</div>
<jdoc:include type="modules" name="debug" /><?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                       <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?>

</body>

</html>
